/* google fonts */
@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url(https://fonts.googleapis.com/icon?family=Material+Icons);
/* normalize css */
@import url(https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css);
/* Globale varibles */
:root {
    --main-purple-color: #ff7d00;
    --elements-background-color: #ff7d0017;
    --element-border-color: #e0e0e1;
}
* {
    box-sizing: border-box;
}
.step-container {
  position: relative;
  text-align: center;
  transform: translateY(-43%);
}

.step-circle {
      width: 15px;
    height: 15px;
    border-radius: 50%;
    background-color: #cce5ff;
    line-height: 20px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 8px;
    cursor: pointer;
}

.step-line {
  position: absolute;
  top: 16px;
  left: 50px;
  width: calc(100% - 100px);
  height: 2px;
  background-color: #007bff;
  z-index: -1;
}

#multi-step-form{
  overflow-x: hidden;
      padding: 20px;
}
.wid_cls
{
    max-width: 820px;
    margin: auto;
}
.form-label {
    margin-bottom: 0rem;
    font-weight: 600;
    color: #000;
}
.form-control {
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 1rem;
    height: 45px;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}
.form-control:focus
 {
    color: #212529;
    background-color: #fff;
    border-color: #ea913b;
    outline: 0;
    box-shadow: 0 0 0 .25rem rgb(13 110 253 / 0%);
}
.h3_cls h3
{
      margin-bottom: 20px;
    font-size: 20px;
}
.h3_cls h3 span
{
     background: #ffead6;
    padding: 5px 8px;
    border-radius: 4px;
}
.pd_btm_25
{
    padding-bottom: 25px;
}
.inputWithIcon input {
    border: 1px solid #767676;
    padding: 10px;
    height: 44px;
    border-radius: 5px;
    margin-bottom: 10px;
    padding-left: 50px;
}
.inputWithIcon i
{
        position: absolute;
    font-size: 22px;
    padding: 7px 8px;
    background: #ea913b2b;
    color: #e5760a;
}
.btn_cls
{
    text-align: center;
}
.btn_cls button
{
        padding: 8px 30px;
    font-weight: 600;
}
.btn-primary {
    color: #fff;
    background-color: #ff7d00;
    border-color: #ef7500;
}
.btn-primary:hover {
    color: #fff;
    background-color: #041123;
    border-color: #041123;
}
.btn-check:focus+.btn-primary, .btn-primary:focus {
    color: #fff;
    background-color: #041123;
    border-color: #041123;
    box-shadow: 0 0 0 .25rem rgb(49 132 253 / 0%);
}
.prev-step {
    color: #fff;
    background-color: #041123;
    border-color: #041123;
}
.prev-step:hover {
    color: #fff;
    background-color: #ff7d00;
    border-color: #ff7d00;
}
.btn-check:focus+.prev-step, .prev-step:focus {
    color: #fff;
    background-color: #ff7d00;
    border-color: #ff7d00;
    box-shadow: 0 0 0 .25rem rgb(49 132 253 / 0%);
}
.switch-field {
  display: flex;
  margin-bottom: 15px;
  overflow: hidden;
}

.switch-field input {
  position: absolute !important;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  width: 1px;
  border: 0;
  overflow: hidden;
}

.switch-field label {
  background-color: #e4e4e4cc;
    color: rgba(0, 0, 0, 0.6);
    font-size: 16px;
    line-height: 1;
    text-align: center;
    padding: 12px 20px;
    margin-right: -1px;
    border: 1px solid rgb(0 0 0 / 8%);
    box-shadow: inset 0 1px 3px rgb(0 0 0 / 18%), 0 1px rgba(255, 255, 255, 0.1);
    transition: all 0.1s ease-in-out;
    font-weight: 600;
}

.switch-field label:hover {
  cursor: pointer;
}

.switch-field input:checked + label {
    background-color: #ff7d00;
    box-shadow: none;
    color: #fff;
}

.switch-field label:first-of-type {
  border-radius: 4px 0 0 4px;
}

.switch-field label:last-of-type {
  border-radius: 0 4px 4px 0;
}
.hide {
  display: none;
}
textarea.form-control {
    min-height: calc(1.5em + (.75rem + 2px));
    height: 80px;
}
.interests {
    padding: 5px;
    /* background-color: #f0f0f0; */
}
.interests .interests-header {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100px;
    background-color: var(--elements-background-color);
    color: var(--main-purple-color);
    margin-bottom: 20px;
}
.interests .interests-items {
    display: grid;
    grid-template-columns: repeat(4 ,23%);
    justify-content: space-between;
}

.interests .interests-items .item {
    position: relative;
    min-height: 20vh;
    padding: 30px 0;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: column;
    margin-bottom: 20px;
    border-radius: 5px;
    background: transparent;
    box-shadow: 0 0 3px var(--element-border-color);
    user-select: none;
        padding-bottom: 12px;
}
.interests .interests-items .item label.icon-checkbox::after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--main-purple-color);
    border-radius: 5px;
    transform: scale(0) rotate(-360deg);
    opacity: .7;
    transition: all linear .52s;
} 
.interests .interests-items .item label.icon-checkbox:hover::after {
    transform: scale(.7) rotate(0);
}
.interests .interests-items .item label.icon-checkbox:hover {
    border-color: var(--main-purple-color);
}
.interests .interests-items .item label.icon-checkbox {
    display: block;
    width: 30px;
    height: 30px;
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 3;
    border: solid 2px var(--element-border-color);
    border-radius: 5px;
    padding: 0;
    transition: all linear .52s;
}
.interests .interests-items .item input[type=checkbox] ~ label {
    z-index: 2;
}
.interests .interests-items .item label:not(.icon-checkbox),
.interests .interests-items .item span{
    display: block;
    font-weight: 600;
    color: #000;
    padding: 0px 20px;
        line-height: 20px;
}
.interests .interests-items .item span{
    font-size: 6vw;
    color: var(--main-purple-color);
}
.interests .interests-items .item input[type=checkbox]::after,
.interests .interests-items .item input[type=checkbox]{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
    appearance: none;
    border-radius: 5px;
    transition: all linear .52s;
}
.interests .interests-items .item input[type=checkbox]:checked ~ label.icon-checkbox{
    border-color: var(--main-purple-color);
}
.interests .interests-items .item input[type=checkbox]:checked ~ label.icon-checkbox::after {
    transform: scale(.7);
    opacity: 1;
}
.interests .interests-items .item input[type=checkbox]::after {
    content: "";
    display: block;
    z-index: -1;
    border: solid 3px var(--element-border-color);
    background: transparent;
}
.interests .interests-items .item input[type=checkbox]:checked::after {
    border: solid 3px var(--main-purple-color);
    background-color: var(--elements-background-color);
    box-shadow: 0 0 3px var(--main-purple-color);
}


/*==========  Non-Mobile First Method  ==========*/

/* Large Devices, Wide Screens */
@media (max-width : 1200px) {
    .interests .interests-items {
        grid-template-columns: repeat(3 ,30%);
    }
}

/* Medium Devices, Desktops */
@media (max-width : 992px) {
    .interests .interests-items {
        grid-template-columns: repeat(3 ,30%);
    }
}

/* Small Devices, Tablets */
@media  (max-width : 768px) {
  body {
    font-size: 3vw;
  }
  .interests .interests-items .item span {
    font-size: 8vw;
  }
  .interests .interests-header {
    min-height: 70px;
  }
    .interests .interests-items {
        grid-template-columns: repeat(2 ,45%);
    }
}

/* Extra Small Devices, Phones */ 
@media (max-width : 480px) {
    .interests .interests-items {
        grid-template-columns: repeat(2 ,45%);
    } 
}

/* Custom, iPhone Retina */ 
@media (max-width : 320px) {
    .interests .interests-items {
        grid-template-columns: repeat(1 ,100%);
        justify-content: space-around;
    } 
}
.interests-items img
{
    width: 80px;
}